gnutls_certificate_verification_status_print(3)

NAME
gnutls_certificate_verification_status_print - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_verification_status_print(unsigned int status, gnutls_certificate_type_t type, gnutls_datum_t * out, unsigned int flags);

ARGUMENTS

unsigned int status
    The status flags to be printed

gnutls_certificate_type_t type
    The certificate type

gnutls_datum_t * out
    Newly allocated datum with (0) terminated string.

unsigned int flags
    should be zero

DESCRIPTION
This function will pretty print the status of a verification process -- eg. the one obtained by gnutls_certificate_verify_peers3(). The output out needs to be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.4

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/